package	jp.co.sds_corp.hibiya.layout;

/**
* 指定されたフォーマット文字列を元に、データを編集します。
フォーマット文字列は以下の指定が可能です。
<TABLE BORDER=1 WIDTH=80%>
<TR>
	<TH>変換文字</TH>
	<TH>編集内容</TH>
	<TH>詳細フォーマット文字列</TH>
	<TH>出力例</TH>
</TR>
<TR>
	<TD>d</TD><TD>現在時刻</TD><TD>%d{yyyy/MM/dd HH:mm:ss}</TD><TD>2007-07-01 01:23:45</TD>
</TR>
<TR>
	<TD>o</TD><TD>前ステータス</TD><TD>&nbsp;</TD><TD>0</TD>
</TR>
<TR>
	<TD>n</TD><TD>現ステータス</TD><TD>&nbsp;</TD><TD>2</TD>
</TR>
<TR>
	<TD>e</TD><TD>例外</TD><TD>&nbsp;</TD><TD>java.io.IOException</TD>
</TR>
<TR>
	<TD>m</TD><TD>メッセージ</TD><TD>&nbsp;</TD><TD>Web [XXX]でエラーが発生しました</TD>
</TR>
<TR>
	<TD>r</TD><TD>取得内容</TD><TD>%r{ResponseCode}</TD><TD>403</TD>
</TR>
</TABLE>
*/
public class EventLayout extends PatternLayout
{
	private static final long serialVersionUID = 1L;
	/**
	* {@link FormatParser}を生成します。
	* @param	fmt		フォーマット文字列
	*/
	public FormatParser createParser( String fmt ) {
		return new EventFormatParser( fmt );
	}

}
